/******************************************************************************
 * FILE:
 *    uc_spc572l64_bmhd.S
 *
 * UC:
 *    SPC574K72
 *
 * DESCRIPTION:
 *    Boot Header Mode read by uC firmaware after the reset at fixed location.
 *    Each uC has fixed structure how BMHD array looks like
 *
 * FILE HISTORY:
 *    V1.0    09.02.2018     RO
 *       > Initial version based on crt0_spc58, dedicated to target uC
 *         derivative
 *    V1.0    12.02.2018     MF
 *       > Reuse for SPC572L64       
 *
 ******************************************************************************
 * Copyright (C) 2015-2018 HighTec EDV-Systeme GmbH.  All rights reserved.
 * This is proprietary software. Any use of the software requires a written
 * license agreement with HighTec EDV-Systeme GmbH. Please contact for
 * detailed license information: info@hightec-rt.com.
 *****************************************************************************/
 
/* ============================================================================
 * RCHW BOOT HEADER
 * Must be located at the fixed location to be recognize as valid
 * Reset Configuration Word (see RM)
 * Placement is done by linker by using a dedicated .rchw section
 * ==========================================================================*/

	.section .rchw, "ax"

	.long 0x005A0001                        /* RCHW Word */
	.long _crt0_reset                       /* Reset vector */
	.long 0xFFFFFFFF                        /* Reserved 1 */
	.long 0xFFFFFFFF                        /* Reserved 2 */
